function PerfilService() {	
}

PerfilService.prototype.obtenerPermisos = function() {
	var jsonString = '{"idContrato" : "'+ 1 +'"}';//falta verificar si es necesario enviar algo
	var data = JSON.parse(jsonString);
	var resp = {};
	this.ajaxCall("obtenerPermisos", data, function (response) { resp = response; });
	return resp;
}

PerfilService.prototype.ajaxCall = function(action, data, success) {
	$.ajax({
		url : contextPath +'/contrato/generales/' + action + '.action',
		type : "post",
		data : data,
		async : false,
		success : function (response) {
			success(response);
			//se puede definir un unsuccess apartir de la respuesta del action
		},
		error : function ( jqXHR,  textStatus,  errorThrown ) {
			showError("Ocurri&oacute; un error.");
		}
	});
}